<ion-header>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-back-button defaultHref=""></ion-back-button>
        </ion-buttons>
        <ion-title>Settings</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content padding="true">
    <ion-card>
        <ion-card-content>
            <ion-card-header>
                <ion-card-title>
                    Salt<ion-text color="danger">*</ion-text>
                </ion-card-title>
                <ion-card-subtitle>string</ion-card-subtitle>
                <!-- @IDEA generate random string button -->
            </ion-card-header>

            <ion-card-content>
                <form [formGroup]="formObj" (ngSubmit)="save(formObj.value)">
                    <ion-input formControlName="salt" placeholder="All characters allowed"></ion-input>
                    <ion-note *ngIf="isSubmitted && frmCtrl.salt.errors" color="danger" slot="start">
                        <p style="color:red">Salt string is required for password generation</p>
                    </ion-note>
                </form>
            </ion-card-content>
        </ion-card-content>
    </ion-card>
    <ion-card>
        <ion-card-header>
            <ion-card-title>Algorithm</ion-card-title>
            <ion-card-subtitle>ordering</ion-card-subtitle>
        </ion-card-header>

        <ion-card-content>
            <ion-reorder-group (ionItemReorder)="doReorder($event)" disabled="false">
                <ion-item *ngFor="let item of algorithmOrder">
                    <ion-label>
                        {{ getAlgorithmPartLabel(item) }}
                    </ion-label>
                    <ion-reorder slot="start">
                        <ion-icon name="repeat"></ion-icon>
                    </ion-reorder>
                </ion-item>
            </ion-reorder-group>
        </ion-card-content>
    </ion-card>
</ion-content>
<ion-footer>
    <form [formGroup]="formObj" (ngSubmit)="save(formObj.value)">
        <ion-toolbar>
            <ion-buttons slot="end">
                <ion-button color="primary" fill="solid" type="submit">Save</ion-button>
            </ion-buttons>
        </ion-toolbar>
    </form>
</ion-footer>